export const getAddresses = async (apiKey, domainServer, query, take, filterType) => {
  try 
  {
    let data = await fetch(domainServer, {
      method: 'post',
      body: JSON.stringify({
        searchCriteria: {
          query: query,
        },
        options: {
          take: take,
          skip: 0,
          suggestionTypes: filterType
        },
      }),
      headers: {
        Authorization: 'Bearer ' + apiKey,
        Accept: 'application/json',
        'Content-Type': 'application/json',
      },
    });
    let response = await data.json()
    return response

  } catch (e) {
    return e
  }
}